/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

import java.util.Date;

/**
 * XbTaxonomyGroupObjコンポーネントはDBに登録するTaxsonomyGroup情報を格納するクラス
 * 
 * @author Going Dot Com Inc.
 */
class XbTaxonomyGroupObj {

    /** タクソノミーグループID */
	private long taxonomyGroupId;
	/** タクソノミーグループ名 */
	private String taxonomyGroupName;
	/** 仕様番号 */
	private String specificationNo;
	/** 備考 */
	private String note;
	/** 作成日 */
	private Date creationDate;

    /**
     * 作成日を取得します。
     * @return creationDate
     */
    protected Date getCreationDate() {
        return creationDate;
    }

    /**
     * 作成日を設定します。
     * @param creationDate 作成日
     */
    protected void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    /**
     * 備考を取得します。
     * @return note
     */
    protected String getNote() {
        return note;
    }

    /**
     * 備考を設定します。
     * @param note 備考
     */
    protected void setNote(String note) {
        this.note = note;
    }

    /**
     * 仕様番号を取得します。
     * @return specificationNo
     */
    protected String getSpecificationNo() {
        return specificationNo;
    }

    /**
     * 仕様番号を設定します。
     * @param specificationNo 仕様番号
     */
    protected void setSpecificationNo(String specificationNo) {
        this.specificationNo = specificationNo;
    }

    /**
     * タクソノミーグループIDを取得します。
     * @return taxonomyGroupId
     */
    protected long getTaxonomyGroupId() {
        return taxonomyGroupId;
    }

    /**
     * タクソノミーグループIDを設定します。
     * @param taxonomyGroupId タクソノミーグループID
     */
    protected void setTaxonomyGroupId(long taxonomyGroupId) {
        this.taxonomyGroupId = taxonomyGroupId;
    }

    /**
     * タクソノミーグループ名を取得します。
     * @return taxonomyGroupName
     */
    protected String getTaxonomyGroupName() {
        return taxonomyGroupName;
    }

    /**
     * タクソノミーグループ名を設定します。
     * @param taxonomyGroupName タクソノミーグループ名
     */
    protected void setTaxonomyGroupName(String taxonomyGroupName) {
        this.taxonomyGroupName = taxonomyGroupName;
    }
}